Last Comment Bug 457102 - kill nsIXPointer
: kill nsIXPointer
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: x86 Mac OS X
: P2 normal (vote)
: mozilla5
Assigned To: Boris Zbarsky [:bz]
:
Mentors:
Depends on:
Blocks: deadcode 657251
  Show dependency treegraph
 
Reported: 2008-09-25 15:16 PDT by (dormant account)
Modified: 2011-05-16 00:17 PDT (History)
7 users (show)
bzbarsky: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove vestiges of dead xpointer/fixptr stuff. (42.56 KB, patch)
2011-01-26 18:57 PST, Boris Zbarsky [:bz]
jonas: review+
Details | Diff | Review

Description (dormant account) 2008-09-25 15:16:05 PDT
My dead method finder, showed nsXPath1SchemeProcessor::Evaluate not being used

smaug suggested that I kill nsIXPointer. Question is: how much should be nuked, the entire IDL?
Comment 1 Jonas Sicking (:sicking) 2008-09-25 16:48:10 PDT
The more the merrier :)

So yes, the full IDL and anything that implements or calls it.
Comment 2 Olli Pettay [:smaug] 2008-09-25 17:03:31 PDT
There is  http://mxr.mozilla.org/mozilla-central/source/dom/public/idl/core/nsIDOMXMLDocument.idl#75 , though even that throws
Error: uncaught exception: [Exception... "Component returned failure code: 0x80040154 (NS_ERROR_FACTORY_NOT_REGISTERED)"  nsresult: "0x80040154 (NS_ERROR_FACTORY_NOT_REGISTERED)"  location: "JS frame :: javascript:document.implementation.createDocument("",%20"",%20null).evaluateXPointer(""); :: <TOP_LEVEL> :: line 1"  data: no]
by default.
Comment 3 Boris Zbarsky [:bz] 2011-01-26 18:57:47 PST
Created attachment 507348 [details] [diff] [review]
Remove vestiges of dead xpointer/fixptr stuff.
Comment 4 Daniel Cater 2011-01-30 11:20:04 PST
"[need gk2 ship]" - Does that mean "depends on bug 610267"?
Comment 5 Boris Zbarsky [:bz] 2011-01-30 13:10:02 PST
I have no idea.  My impression is that bug was tracking "big landings".

"[need gk2 ship]" just means I need to land this but don't need to worry about it until after the tree reopens.
Comment 6 Boris Zbarsky [:bz] 2011-03-23 14:40:20 PDT
Pushed http://hg.mozilla.org/mozilla-central/rev/510de9fad2a9

Note You need to log in before you can comment on or make changes to this bug.